.OrderHistoryCard {
  display: flex;
  justify-content: space-between;
  margin-bottom: 3rem;
}
.OrderHistoryCard .ordered-product {
  padding: 1.5rem;
  border-radius: 20px;
  box-shadow: 0px 2px 6px 0px rgb(0 0 0 / 24%);
}
.OrderHistoryCard .ordered-product .heading {
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-bottom: 1px solid #707070;
  width: 43rem;
}
.OrderHistoryCard .ordered-product .heading p {
  color: #777777;
  font-size: 14px;
}
.OrderHistoryCard .ordered-product .heading sub {
  text-decoration: underline;
  font-weight: bold;
  font-size: 14px;
}
.OrderHistoryCard .ordered-product .heading h6 {
  color: black;
  font-size: 16px;
}
.OrderHistoryCard .ordered-product .ordered-product-details {
  display: flex;
  padding-top: 2.3rem;
}
.OrderHistoryCard .ordered-product .ordered-product-details .product-img {
  margin-right: 1.5rem;
}
.OrderHistoryCard .ordered-product .ordered-product-details .product-img img {
  width: 6rem;
  border-radius: 20px;
}
.OrderHistoryCard .ordered-product .ordered-product-details .details {
  display: flex;
  flex-direction: column;
}
.OrderHistoryCard .ordered-product .ordered-product-details .details h5 {
  color: black;
  font-size: 18px;
  font-weight: 400;
}
.OrderHistoryCard .ordered-product .ordered-product-details .details .first-p {
  width: 415px;
  height: 41px;
  background-color: #cccccc;
  font-size: 13px;
  color: black;
  display: flex;
  align-items: center;
  padding-left: 1rem;
  margin-bottom: 0.5rem;
  border-radius: 4px;
}
.OrderHistoryCard .ordered-product .ordered-product-details .details .second-p {
  width: 315px;
  height: 41px;
  background-color: #cccccc;
  font-size: 13px;
  color: black;
  display: flex;
  align-items: center;
  padding-left: 1rem;
  margin-bottom: 0.5rem;
  border-radius: 4px;
}
.OrderHistoryCard .ordered-product .ordered-product-details .review-container {
  background-color: #cccccc;
  display: flex;
  flex-direction: column;
  width: 415px;
  height: 102px;
  padding-top: 0.5rem;
  border-radius: 4px;
}
.OrderHistoryCard
  .ordered-product
  .ordered-product-details
  .review-container
  .rc
  .review-text-container {
  margin-right: 3rem;
}
.OrderHistoryCard
  .ordered-product
  .ordered-product-details
  .review-container
  .rc {
  padding-left: 1rem;
  display: flex;
  align-items: center;
}
.OrderHistoryCard
  .ordered-product
  .ordered-product-details
  .review-container
  .rc
  .review-text-container
  p {
  color: black;
  font-size: 13px;
  margin-bottom: 0rem;
}
.OrderHistoryCard
  .ordered-product
  .ordered-product-details
  .review-container
  .edit-review-container {
  display: flex;
  justify-content: space-between;
  padding-right: 1rem;
  margin-top: 1.5rem;
}
.OrderHistoryCard
  .ordered-product
  .ordered-product-details
  .review-container
  .edit-review-container
  .review-star-container
  img {
  cursor: pointer;
}
.OrderHistoryCard
  .ordered-product
  .ordered-product-details
  .review-container
  .your-review-container
  .review-text-container
  p {
  font-weight: 500;
}
.OrderHistoryCard
  .ordered-product
  .ordered-product-details
  .buy-again-button-container {
  /* border: 1px solid black; */
  display: flex;
  align-items: center;
  margin-top: 1rem;
  margin-bottom: 2.5rem;
}
.OrderHistoryCard
  .ordered-product
  .ordered-product-details
  .buy-again-button-container
  button {
  background-color: #ed001c;
  color: white;
  font-size: 14px;
  display: flex;
  justify-content: center;
  align-items: center;
  box-shadow: none;
  border-color: #ed001c;
  font-weight: 500;
  width: 10rem;
  padding: 0.6rem;
  border-radius: 30px;
}
.OrderHistoryCard
  .ordered-product
  .ordered-product-details
  .buy-again-button-container
  button
  img {
  width: 16px;
  margin-left: 0.5rem;
}
.OrderHistoryCard
  .ordered-product
  .ordered-product-details
  .buy-again-button-container
  p {
  margin-bottom: 0rem;
  color: black;
  margin-left: 1rem;
  font-size: 14px;
}
.OrderHistoryCard .ordered-delivered-container {
  padding-left: 1rem;
  display: flex;
  flex-direction: column;
  width: 24rem;
  margin-top: 0.5rem;
}
.OrderHistoryCard .ordered-delivered-container .button-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  margin-top: 0.4rem;
}
.OrderHistoryCard .ordered-delivered-container .deliverd-heading-details h5 {
  font-weight: 400;
  font-size: 18px;
  color: black;
  margin-bottom: 1rem;
}
/* #777777 */
.OrderHistoryCard .ordered-delivered-container .deliverd-heading-details p {
  color: #777777;
  font-size: 14px;
}
.OrderHistoryCard .button-container button {
  width: 12.5rem;
  height: 2.9rem;
  margin-bottom: 0.5rem;
  border-radius: 30px;
  box-shadow: none;
  font-size: 14px;
  font-weight: bold;
}
.OrderHistoryCard .button-container button:focus {
  box-shadow: none;
}
.OrderHistoryCard .button-container .track-btn {
  background-color: #ed001c;
  border-color: #ed001c;
}
.OrderHistoryCard .button-container .help-order-view-btn {
  background-color: #e9efe5;
  color: #798273;
  border-color: #e9efe5;
}
.OrderHistoryCard .ordered-delivered-container .tax-text-container p {
  color: #798273;
  font-size: 12px;
  margin-top: 1.3rem;
}
.OrderHistoryCard .ordered-delivered-container .tax-text-container sub {
  text-decoration: underline;
  font-size: 12px;
  font-weight: 500;
  cursor: pointer;
}
